Bug 15515 - undefined symbol: pixman_format_supported_destination
: undefined symbol: pixman_format_supported_destination
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libcairo)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
: 15079 15523
:
  Show dependency tree
 
Reported: 2008-04-30 21:02 by
Modified: 2008-06-13 21:22 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-04-30 21:02:54
libcairo-1.6.4-alt2

Steps to Reproduce:
$ vlc
VLC media player 0.8.6f Janus
[00000311] main interface warning: cannot load module
`/usr/lib/vlc/misc/libnotify_plugin.so' (/usr/lib/libcairo.so.2: undefined
symbol: pixman_format_supported_destination)
[00000311] main interface warning: no interface module matching "notify,none"
could be loaded
[00000311] main interface error: no suitable interface module
[00000001] main private error: interface "notify,none" initialization failed
[00000318] main interface warning: cannot load module
`/usr/lib/vlc/gui/libwxwidgets_plugin.so' (/usr/lib/libcairo.so.2: undefined
symbol: pixman_format_supported_destination)
[00000321] main dialogs provider warning: cannot load module
`/usr/lib/vlc/gui/libwxwidgets_plugin.so' (/usr/lib/libcairo.so.2: undefined
symbol: pixman_format_supported_destination)
[00000318] skins2 interface error: no suitable dialogs provider found (hint:
compile the wxWidgets plugin, and make sure it is loaded properly)
[00000318] skins2 interface: skin: VLC 0.8.5 Default Skin  author: aLtgLasS
[00000388] message private warning: message queue overflowed
[00000318] skins2 interface warning: no associated generic window
[00000318] skins2 interface warning: no associated generic window
$ 

The installed packages:


$ rpm -qa '*wx*'
wxGTK-contrib-gizmos-2.8.6-alt2
wxGTK2u-contrib-ogl-2.6.4-alt2
wxGTK2u-contrib-stc-2.6.4-alt2
wxGTK-contrib-stc-2.8.6-alt2
wxGTK2u-2.6.4-alt2
python-module-wx-2.8.6-alt2
vlc-interface-wxwidgets-0.8.6f-alt1
wxGTK-2.8.6-alt2
wxGTK2u-contrib-gizmos-2.6.4-alt2
wxGTK-common-0.4-alt1
pbm2lwxl-0-alt1
$ rpm -qa 'vlc*'
vlc-interface-skins2-0.8.6f-alt1
vlc-plugin-mpeg2-0.8.6f-alt1
vlc-plugin-dvdread-0.8.6f-alt1
vlc-plugin-screen-0.8.6f-alt1
vlc-plugin-gnutls-0.8.6f-alt1
vlc-plugin-galaktos-0.8.6f-alt1
vlc-plugin-bonjour-0.8.6f-alt1
vlc-plugin-xvideo-0.8.6f-alt1
vlc-plugin-glx-0.8.6f-alt1
vlc-plugin-musepack-0.8.6f-alt1
vlc-plugin-freetype-0.8.6f-alt1
vlc-plugin-framebuffer-0.8.6f-alt1
vlc-interface-telnet-0.8.6f-alt1
vlc-plugin-modplug-0.8.6f-alt1
vlc-maxi-0.8.6f-alt1
vlc-plugin-arts-0.8.6f-alt1
vlc-plugin-mga-0.8.6f-alt1
vlc-plugin-png-0.8.6f-alt1
vlc-plugin-dirac-0.8.6f-alt1
vlc-plugin-speex-0.8.6f-alt1
vlc-plugin-snapshot-0.8.6f-alt1
vlc-plugin-goom-0.8.6f-alt1
vlc-plugin-dvb-0.8.6f-alt1
vlc-plugin-twolame-0.8.6f-alt1
vlc-plugin-loader-0.8.6f-alt1
vlc-plugin-aa-0.8.6f-alt1
vlc-plugin-notify-0.8.6f-alt1
vlc-plugin-dts-0.8.6f-alt1
vlc-plugin-cmml-0.8.6f-alt1
vlc-plugin-a52-0.8.6f-alt1
vlc-plugin-theora-0.8.6f-alt1
vlc-plugin-oss-0.8.6f-alt1
vlc-plugin-hal-0.8.6f-alt1
vlc-plugin-v4l-0.8.6f-alt1
vlc-plugin-daap-0.8.6f-alt1
vlc-plugin-sdlimage-0.8.6f-alt1
vlc-interface-ncurses-0.8.6f-alt1
vlc-interface-http-0.8.6f-alt1
vlc-plugin-faad-0.8.6f-alt1
vlc-plugin-sdl-0.8.6f-alt1
vlc-plugin-dvdnav-0.8.6f-alt1
vlc-plugin-esd-0.8.6f-alt1
vlc-plugin-matroska-0.8.6f-alt1
vlc-interface-wxwidgets-0.8.6f-alt1
vlc-plugin-audiocd-0.8.6f-alt1
vlc-plugin-caca-0.8.6f-alt1
vlc-plugin-realrtsp-0.8.6f-alt1
vlc-plugin-ogg-0.8.6f-alt1
vlc-plugin-ffmpeg-0.8.6f-alt1
vlc-plugin-podcast-0.8.6f-alt1
vlc-plugin-pulseaudio-0.8.6f-alt1
vlc-plugin-x11-0.8.6f-alt1
vlc-plugin-shout-0.8.6f-alt1
vlc-0.8.6f-alt1
vlc-plugin-dv-0.8.6f-alt1
vlc-plugin-videocd-0.8.6f-alt1
vlc-plugin-jack-0.8.6f-alt1
vlc-plugin-flac-0.8.6f-alt1
vlc-plugin-image-0.8.6f-alt1
vlc-plugin-xml-0.8.6f-alt1
vlc-interface-lirc-0.8.6f-alt1
vlc-plugin-opengl-0.8.6f-alt1
vlc-plugin-osd-0.8.6f-alt1
vlc-plugin-live555-0.8.6f-alt1
vlc-plugin-alsa-0.8.6f-alt1
vlc-plugin-smb-0.8.6f-alt1
vlc-plugin-ts-0.8.6f-alt1
vlc-plugin-h264-0.8.6f-alt1
vlc-mini-0.8.6f-alt1
vlc-plugin-mad-0.8.6f-alt1
$ 

Actual Results:  
Not the default wx interface of vlc is used.

Expected Results:  
The wx interface of vlc can be used.
------- Comment #1 From 2008-04-30 21:09:00 -------
> `/usr/lib/vlc/misc/libnotify_plugin.so' (/usr/lib/libcairo.so.2: undefined
> symbol: pixman_format_supported_destination)

и как этого добиться?
$ ldd -r /usr/lib/libcairo.so.2
        linux-gate.so.1 =>  (0xb7f32000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb7e37000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb7e0d000)
        libdirectfb-1.1.so.0 => /usr/lib/libdirectfb-1.1.so.0 (0xb7d9d000)
        libz.so.1 => /lib/libz.so.1 (0xb7d89000)
        libdirect-1.1.so.0 => /usr/lib/libdirect-1.1.so.0 (0xb7d77000)
        libpthread.so.0 => /lib/libpthread.so.0 (0xb7d60000)
        libglitz.so.1 => /usr/lib/libglitz.so.1 (0xb7d3a000)
        libpng12.so.0 => /usr/lib/libpng12.so.0 (0xb7d16000)
        libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb7d0e000)
        libX11.so.6 => /usr/lib/libX11.so.6 (0xb7c25000)
        libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0xb7bfb000)
        libm.so.6 => /lib/libm.so.6 (0xb7bd5000)
        libc.so.6 => /lib/libc.so.6 (0xb7aad000)
        libexpat.so.1 => /usr/lib/libexpat.so.1 (0xb7a8d000)
        libfusion-1.1.so.0 => /usr/lib/libfusion-1.1.so.0 (0xb7a85000)
        libdl.so.2 => /lib/libdl.so.2 (0xb7a81000)
        /lib/ld-linux.so.2 (0xb7f33000)
        libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0xb7a7e000)
        libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb7a66000)
        libXau.so.6 => /usr/lib/libXau.so.6 (0xb7a63000)
        libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xb7a5e000)
------- Comment #2 From 2008-04-30 21:11:13 -------
Во-во.

imz: rpm -q libpixman
------- Comment #3 From 2008-04-30 23:24:27 -------
(In reply to comment #2)
> Во-во.
> 
> imz: rpm -q libpixman

libpixman-0.9.6-alt2

Если таким образом выяснилось, что требуется более новая версия, добавьте,
пожалуйста, такую зависимость.

$ ldd -r /usr/lib/libcairo.so.2
undefined symbol: pixman_format_supported_destination   (/usr/lib/libcairo.so.2)
        linux-gate.so.1 =>  (0xb7f87000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb7e78000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb7e4d000)
        libdirectfb-1.1.so.0 => /usr/lib/libdirectfb-1.1.so.0 (0xb7dde000)
        libz.so.1 => /lib/libz.so.1 (0xb7dca000)
        libdirect-1.1.so.0 => /usr/lib/libdirect-1.1.so.0 (0xb7db8000)
        libpthread.so.0 => /lib/libpthread.so.0 (0xb7da1000)
        libglitz.so.1 => /usr/lib/libglitz.so.1 (0xb7d7b000)
        libpng12.so.0 => /usr/lib/libpng12.so.0 (0xb7d58000)
        libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb7d50000)
        libX11.so.6 => /usr/lib/libX11.so.6 (0xb7c67000)
        libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0xb7c37000)
        libm.so.6 => /lib/libm.so.6 (0xb7c11000)
        libc.so.6 => /lib/libc.so.6 (0xb7ae9000)
        libexpat.so.1 => /usr/lib/libexpat.so.1 (0xb7ac9000)
        libfusion-1.1.so.0 => /usr/lib/libfusion-1.1.so.0 (0xb7ac1000)
        libdl.so.2 => /lib/libdl.so.2 (0xb7abd000)
        /lib/ld-linux.so.2 (0x80000000)
        libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0xb7aba000)
        libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb7aa2000)
        libXau.so.6 => /usr/lib/libXau.so.6 (0xb7a9f000)
        libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xb7a9a000)
$ 
------- Comment #4 From 2008-05-01 12:44:48 -------
надо бы в libpixman версионирование сделать
------- Comment #5 From 2008-05-01 19:04:35 -------
после пересборки само исправится
------- Comment #6 From 2008-05-08 00:00:51 -------
да, спасибо! в libcairo-1.6.4-alt3 исправилось.
------- Comment #7 From 2008-06-13 21:22:14 -------
(In reply to comment #6)
> да, спасибо! в libcairo-1.6.4-alt3 исправилось.
>